Skip Navigation Links

Task Comments

Delete existing task commentexperimental

Requires authentication via bearer.

Soft-deletes a task comment. The comment resource remains retrievable (with is_deleted=true) but its body and attachments are no longer returned.

Authorization: The task author or the comment's own author can delete a comment.

Note: Requires the DELETION_OF_COMMENTS_AND_MESSAGES_ENABLED feature to be enabled for the organization. Returns an error if the comment is already deleted.

Path Params

comment_id stringrequired

Response Body

200 OK

Error Codes

  • TASK_COMMENT_DELETED
  • TASK_NOT_FOUND
  • FEATURE_DISABLED
  • TASK_COMMENT_NOT_FOUND

List task commentsexperimental

Requires authentication via bearer.

Retrieves a paginated list of comments for a specific task. The actor must have access to the task and the task must have comments_enabled=true.

Defining a custom starting point by providing the initial_sequence_number offers an optional alternative to the default cursor based pagination.

using "initial_sequence_number":

In combination with the parameters page_limit and the sort parameter it is possible to request comments in a paginated way starting from a certain sequence number.

Note: The "sequence number" of a comment is the order number within the list of all comments relating to the task.

The parameter initial_sequence_number is used in combination with the parameters page_limit and sort (respectively their default values). The response is always a paginated list of comments and the returned cursor can be used to navigate further.

Examples for using the initial_sequence_number:

** ascending: **

  • GET api/tasks/v4/tasks/{task_id}/comments?page_limit=10&initial_sequence_number=5&sort=SEQUENCE_NUMBER_ASC returns a list starting with a comment with sequence_number 5 followed by comments with ascending sequence numbers and at maximum 10 comments (or less if fewer exist).

** ascending (via default): **

  • GET api/tasks/v4/tasks/{task_id}/comments?page_limit=10&initial_sequence_number=5 returns a list starting with a comment with sequence_number 5 followed by comments with ascending sequence numbers and at maximum 10 comments (or less if fewer exist).

** descending: **

  • GET api/tasks/v4/tasks/{task_id}/comments?page_limit=10&initial_sequence_number=20&sort=SEQUENCE_NUMBER_DESC returns a list starting with a comment with sequence_number maximum 20 followed by comments with descending sequence numbers and at maximum 10 comments (or less if fewer exist). In cases where there is no comment with sequence number 20, the comment that has the next lower number will be designated as the starting point

Path Params

task_id stringrequired

Query Params

page_cursor string

A cursor pointing to the first item to be contained in the response array. Refer to our general "pagination" concept for more information.

page_limit integer

The maximum number of items to be contained in the response array. Refer to our general "pagination" concept for more information.

sort string[]

Sort options for task comments. Each option has ascending (_ASC) and descending (_DESC) variants:

  • SEQUENCE_NUMBER: Sort by the comment's sequence number, which reflects chronological creation order (1 is the oldest comment). The default is ascending (oldest first).
initial_sequence_number integer

The query can contain either a initial_sequence_number or a pagination_cursor, but not both. Alternatively both values can also be null, defaulting to an ascending cursor based pagination.

embed string[]

Options for embedding additional data into task comment responses:

  • ACTOR_REACTION: Includes the acting user's own reaction in the actor_reaction field, if they have reacted.

Response Body

200 OK

Error Codes

  • CONFLICTING_PAGINATION_DATA
  • EMBED_PARAMETER_LIMIT_EXCEEDED
  • FEATURE_DISABLED
  • SORT_PARAMETER_LIMIT_EXCEEDED
  • TASK_NOT_FOUND
  • UNDEFINED_SEQUENCE_NUMBER_SORT
  • VALIDATION_ERROR

Create task commentexperimental

Requires authentication via bearer.

Adds a new comment to a task. Both the task author and recipients can create comments.

Requirements:

  • The task must have comments_enabled=true.
  • Either body or at least one attachment must be provided (empty comments are not allowed).

Path Params

task_id stringrequired

Request Body

id string
body object

Request body object of TaskComment including plain text and mentions.

attachments object[]

a single attachment which shall be attached to an entity

Response Body

201 Created

Error Codes

  • ATTACHMENT_NOT_FOUND
  • ATTACHMENTS_NOT_FINISHED
  • ATTACHMENT_FILE_NOT_FOUND
  • DUPLICATE_ID
  • DUPLICATE_ORDER_NUMBER
  • DISALLOWED_ATTACHMENT_TYPE
  • FEATURE_DISABLED
  • MAX_LENGTH_EXCEEDED
  • TASK_NOT_FOUND
  • TASK_COMMENT_WITHOUT_CONTENT